Package org.opensaml.saml.saml2.assertion.impl

# Class ProxyRestrictionConditionValidator

java.lang.Object
org.opensaml.saml.saml2.assertion.impl.ProxyRestrictionConditionValidator

All Implemented Interfaces:
  `ConditionValidator`

@ThreadSafe public class ProxyRestrictionConditionValidator extends Object implements ConditionValidator
`ConditionValidator` implementation for `ProxyRestriction` style conditions.

Note, as proxy restriction conditions do not place any conditions on the use of an assertion this condition always evaluates as valid with the assumption that further processing of this information will be done later by the invoker of the validation process.

Supports the following `ValidationContext` static parameters:

- None.

Supports the following `ValidationContext` dynamic parameters:

- None.

## Constructor Summary

Constructors
Constructor
Description
`ProxyRestrictionConditionValidator()`

## Method Summary

Modifier and Type
Method
Description
`QName`
`getServicedCondition()`
Gets the element or schema type QName of the condition handled by this validator.
`ValidationResult`
`validate(Condition condition, Assertion assertion, ValidationContext context)`
Validates the given condition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyRestrictionConditionValidator

public ProxyRestrictionConditionValidator()

## Method Details

### getServicedCondition

@Nonnull public QName getServicedCondition()
Gets the element or schema type QName of the condition handled by this validator.

Specified by:
  `getServicedCondition` in interface `ConditionValidator`
Returns:
  element or schema type QName of the statement handled by this validator

### validate

@Nonnull public ValidationResult validate(@Nonnull Condition condition, @Nonnull Assertion assertion, @Nonnull ValidationContext context) throws AssertionValidationException
Validates the given condition.

Specified by:
  `validate` in interface `ConditionValidator`
Parameters:
  `condition` - condition to be evaluated
  `assertion` - assertion bearing the condition
  `context` - current Assertion validation context
Returns:
  the result of the condition evaluation
Throws:
  `AssertionValidationException` - if there is a problem processing the validation operation